ISPC3.2 - Ubuntu 20.04 and several php version

Discussion in 'Installation/Configuration' started by francoisPE, Nov 17, 2020.

  1. francoisPE

    francoisPE Member HowtoForge Supporter

  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    You are using Ubuntu, so should not add Debian repository to your /etc/apt/ -configuration.
    Instead look up corresponding Ubuntu repository from https://deb.sury.org/
     
  3. francoisPE

    francoisPE Member HowtoForge Supporter

    Thank you very much
    I run
    add-apt-repository ppa:eek:ndrej/php
    + apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys {both key}
    and now ok !
    Not sure to understand why I can't apt-get from "official" ubuntu repo ?
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    How did you determine you can not apt-get from the usual ubuntu repo?
     
  5. francoisPE

    francoisPE Member HowtoForge Supporter

  6. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    You can use that same tutorial for Ubuntu, except the repository to add must be an Ubuntu repository. And the usual Ubuntu repository does not have additional PHP versions, so you must add the repository Ondrej Sury provides, which does offer PHP versions from 5.6 to 7.4.
     
    francoisPE and ahrasis like this.

Share This Page